The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Riskware alert read request

Prev Next

Takes a riskware alert ID in the API URL and marks the alert as read. Applicable only for inbound riskware alerts.

PUT https://<etp-instance>/api/v1/alerts/riskware/markread/<id>

Required headers:

Content-Type: "application/json"—Content type of the request body.

If the domain you use you use to access the Trellix UI ends in fireeye.com:

x-fireeye-api-key: <key>—Specifies your personal API key.

If the domain you use to access the Trellix UI ends in trellix.com:

authorization: bearer <access_token>—Specifies your personal access token.

Important

Use authorization: bearer <access_token> in place of x-fireeye-api-key: <key> in the following examples.

Example request

PUT https://<APIURI>/alerts/riskware/markread/3yPzgpB-1126838-06f35e4c-0db8-41e7-afa0-0afc5825f59f -H "Content-Type: application/json" -H 'x-fireeye-api-key: <APIKEY>' -d '{}'

Example response

Success response:

{
    "data": {
        "type": "riskware alerts",
        "operation": "markread",
        "successful_ids": [
            "3yPzgpB-1126838-06f35e4c-0db8-41e7-afa0-0afc5825f59f"
        ]
    },
    "meta":{
        "copyright": "Copyright © 2023 Musarubra US LLC"
    }
}

Failure response:

{
    "data": {
        "type": "riskware alerts",
        "operation": "markread",
        "failed_ids": [
            "3yPzgpB-1126838-06f35e4c-0db8-41e7-afa0-0afc5825f59f"
        ]
    },
    "meta": {
        "copyright": "Copyright © 2023 Musarubra US LLC"    }}